/* You can add global styles to this file, and also import other style files */
// 1. Your custom variables and variable overwrites.
// $global-link-color: #DA7D02;
$global-font-family: 'Roboto',
-apple-system,
BlinkMacSystemFont,
"Segoe UI",
Roboto,
"Helvetica Neue",
Arial,
"Noto Sans",
sans-serif,
"Apple Color Emoji",
"Segoe UI Emoji",
"Segoe UI Symbol",
"Noto Color Emoji" !default;
$canvas-color: white;
$primary-color: #1a73e8;
$primary-light-color: #e8f0fe;
$mutted-color: #202124;
$mutted-light-color: #f1f3f4;
$primary-color-topbar:#5f6368;
$table-row-active-background: $mutted-light-color !default;
// 2. Import default variables and available mixins.
@import "uikit/src/scss/variables-theme.scss";
@import "uikit/src/scss/mixins-theme.scss";
@import 'cd-themify-icons/index.css';
@import url('https://fonts.googleapis.com/css?family=Roboto:100,100i,300,300i,400,400i,500,500i,700,700i,900,900i&display=swap');

// 3. Your custom mixin overwrites.
@mixin hook-card() {
  color: #000;
}

// 4. Import UIkit.
@import "uikit/src/scss/uikit-theme.scss";



.uk-navbar-container {
  margin-top: 10px;
  font-weight: 400;
}

.gc-router {
  width: 0px;
}

// Topbar Styling
#gc-navbar {
  background-color: $canvas-color;

  .uk-navbar-nav>li>a,
  .uk-navbar-nav>li>form .uk-navbar-item,
  .uk-navbar-toggle {
    min-height: 45px;
    min-width: 45px;
    color: $primary-color-topbar;
  }

  .gc-toggle-button {
    margin-left: 12px;
    width: 50px;
    &:hover,&:focus{
      background-color: $mutted-light-color;
      border-radius:100%;
    }
  }

  .gc-user {
    margin-right: 15px;
  }

  .uk-input,
  .uk-select:not([multiple]):not([size]) {
    height: 48px;
    max-width: 720px;
  }
}


// Top bar on Left Side
.uk-navbar-left {
  &>ul {
    &>li {
      &>a {
        font-size: 22px;
      }

      // Search bar 
      &>.uk-inline {
        .uk-input {
          background: #f1f3f4;
          border: none;
          border-radius: 8px;

          &:active {
            background: #ffffff;
            border: 1px solid transparent;
          }

          &:focus {
            background: #ffffff;
            border: 1px solid transparent;
            box-shadow: 0 1px 1px 0;
          }
        }
      }
    }
  }
}



.uk-navbar-nav>li>a {
  font-size: 18px;
}

.uk-navbar-container {
  .uk-navbar-dropdown {
    width: 192px;
    height: auto;
    min-width: 192px;
    padding: 8px 24px;
  }

  // Top bar Right Side
  .uk-navbar-right {
    &>ul {
      &>li {
        &>a {
          &>span {
            &:active {
              background: #d6d6d6;
              border-radius: 50%;
            }
          }

          &:focus {
            background: #d6d6d6;
            border-radius: 50%;
          }
        }
      }
    }
  }
}


.uk-navbar-nav>li>a,
.uk-button {
  text-transform: none;
}

.gc-navbar-left {
  width: 280px;
}

.gc-navbar-lasttwo {
  margin-left: 20px;
}

// Sidebar Styling
#gc-masterpage {
  #gc-sidebar {
    width: 280px;
    padding-top: 64px;

    .gc-sidenav {
      .gc-create-contact {
        font-size: 15px;
        background: #fff;
        display: block;
        padding-top: 20px;
        margin: -5px 0 5px 0;

        .uk-button {
          display: block;
          margin: 15px 70px 25px 15px;
          border-radius: 500px;
          box-shadow: 0 1px 2px 0 rgba(60, 64, 67, 0.302), 0 1px 3px 1px rgba(60, 64, 67, 0.149);
          z-index: 0;
          background-color: #fff;
          color: #3c4043;


          &:hover,
          &:focus {
            box-shadow: 0 1px 3px 0 rgba(60, 64, 67, 0.302), 0 4px 8px 3px rgba(60, 64, 67, 0.149)
          }
        }
      }

      ul {
        li {
          &>a {
            display: block;
            padding: 12px 20px;
            border-radius: 0px 50px 50px 0px;
            font-weight: 500;
            color: $mutted-color;

            &:hover,
            &:focus {
              color: $mutted-color;
              background-color: $mutted-light-color;
            }
          }

          &.uk-active {
            &>a {
              color: $primary-color;
              background-color: $primary-light-color;
            }
          }
        }
      }
    }
  }

  .gc-editidelete {
    position: relative;

    .delete {
      display: none;
    }

    .edit {
      display: none;
    }

    &:hover,
    &:focus {
      .delete {
        display: inline-block;
        position: absolute;
        right: 30px;
        top: 12px;
        color: rgb(160, 163, 166);
        font-size: 18px;

        &:hover,
        &:focus {
          color: rgba(0, 0, 0, 0.87);
        }
      }

      .edit {
        display: inline-block;
        position: absolute;
        right: 60px;
        top: 12px;
        color: rgb(160, 163, 166);
        font-size: 18px;

        &:hover,
        &:focus {
          color: rgba(0, 0, 0, 0.87);
        }
      }
    }
  }

  .gc-pageview {
    padding-top: 64px;
  }
}

// Icons on Top and Sidebar
.gc-icon {
  margin-right: 20px;
  color: #616161;
}

// Contact List Page
.uk-padding {
  padding: 5px 60px 5px 20px;
}

.uk-table {
  tr {

    th {
      border-bottom: 1px solid rgba(0, 0, 0, 0.12);
      font-weight: 600;

      a {
        color: #5f6368;
        letter-spacing: .01785714em;
        font-family: Roboto, Arial, sans-serif;
        font-size: .875rem;
        font-weight: 500;
        line-height: 1.25rem;
        -webkit-box-sizing: border-box;
        box-sizing: border-box;
        overflow: hidden;
        text-overflow: ellipsis;
        vertical-align: middle;
        white-space: nowrap;
        text-transform: none;
        text-decoration: none;
      }
    }

    .gc-modal-icon {
      display: none
    }
    &:hover, &:focus{
      .gc-modal-icon {
        display: inherit;
        padding-right:10px;
      }
    }
  }

  .contactNo {
    color: #5f6368;
    width: max-content;
    font-size: 12px;
    padding: 10px;
  }

  td {
    color: #202124;
    padding: 20px;
    font-size: 14px;

    ul {
      list-style: none;
    }
    
    }
  }



// Modal Styling Starts
#gc-create-contact-modal,
#gc-create-label-modal,
#more-fields-contact,
#gc-view-contact-modal,
#gc-edit-label-modal {
  .js-upload {
    margin-left: 20px;
    height: 50px;
    width: 50px;
    background-image: url('assets/grey_silhouette.png');
    background-size: cover;
    border-radius: 100%;
    margin-top: -10px;
    margin-right: -12px;

  }

  .fullname {
    font-size: 22px;
    color: $mutted-color;

    .gc-modal-icon {
      font-size: 18px;
      margin-left: 25px;
      color: rgb(133, 133, 133);

      &:focus,
      &:hover {
        color: #202124;
      }
    }

    .uk-modal-close {
      margin-right: 0px;
    }
  }

  .moreFields {
    display: none;
  }

  .uk-modal-header {
    color: $mutted-color;
    font-weight: 500;
  }

  &>.uk-modal-dialog {
    border-radius: 10px;
    overflow: hidden;
  }

  .uk-modal-footer {
    margin-left: 0px;
    padding: 8px 30px;
    padding-bottom: 5px;
    font-weight: 500;
  }

  button {
    border: none;
    color: #277eea;
    padding: 0 8px;
    border-radius: 8px;
    margin-right: 10px;

    &:focus,
    &:hover {
      background-color: #e3eefc;
    }

    &:disabled {
      color: rgba(0, 0, 0, 0.37);

      &:focus,
      &:hover {
        background-color: rgb(255, 255, 255);
      }
    }
  }

  .uk-modal-close {
    margin-right: 40px;
  }


  .uk-input,
  .uk-select,.uk-textarea {
    border: none;
    border-bottom: 1px solid #e5e5e5;
    -webkit-transition: all ease-in-out .50s;
    -o-transition: all ease-in-out .50s;
    transition: all ease-in-out .50s;
    font-size: 14px;


    &:focus {
      border-bottom: 2px solid #277eea;
    }
  }

  .uk-input {
    padding: 0 0;
  }

  .uk-grid+.uk-grid,
  .uk-grid>.uk-grid-margin,
  *+.uk-grid-margin {
    margin-top: 10px;
  }

  .gc-icon-modal {
    margin-top: 10px
  }

  .gc-select {
    margin-top: 0px;
  }

  .ti-close {
    display: none;
  }

  .ti-plus {
    display: block;
    position: absolute;
    top: 0;
    right: 0;
  }

  .uk-grid:focus,
  .uk-grid:hover {
    >.uk-width-expand>.uk-grid-small>.uk-width-1-2>.uk-grid-small>.uk-width-auto>.ti-close {
      display: block;
    }
  }

  .gc-input-holder {
    position: relative;

    &:focus,
    &:hover {
      .ti-close {
        display: block;
        position: absolute;
        top: 0;
        right: 0;
      }
    }
  }
}


#gc-create-label-modal,
#gc-edit-label-modal {

  &>.uk-modal-dialog {
    width: 360px;
  }

  .uk-modal-body {
    padding: 0px 0px;
  }

  .uk-modal-body {
    color: $mutted-color;
  }

  input {
    margin-bottom: 30px;
  }

  .gc-header {
    padding: 16px 24px 16px;
  }

  .gc-input {
    padding: 0 24px;
  }

  .uk-text-right {
    padding: 24px 24px 16px 24px;
  }
}

.gc-contact-modal {
  min-width: 700px;
}

#gc-view-contact-modal {
  color: $mutted-color;

  .uk-modal-body {
    border-bottom: 1px solid #dadce0;
  }

  .gc-header {
    font-size: 1.125rem;
    font-weight: 400;
    line-height: 1.5rem;
    margin-bottom: 10px;
  }

  .gc-contact-details {
    margin: 20px;
    font-size: 14px;
    padding-left: 0px;

    .gc-modal-icon {
      margin-right: 30px;
    }

    >* {
      padding-left: 0px;
    }

    .modallabel {
      color: #80868b;
      font-size: 12px;
    }
  }


  .uk-dropdown {
    width: 256px;
    margin: 10px;
    text-align: left;
    padding: 10px 0px;
    font-size: 14px;

    a {
      color: $mutted-color;
      margin: 8px 10px;

      &:hover,
      &:focus {
        color: $mutted-color;
        background-color: $mutted-light-color;
      }
    }

    .gc-modal-icon {
      color: rgb(133, 133, 133);
      margin-right: 20px;
    }
  }


}
